Bug 1489375 (CVE-2017-14167) - CVE-2017-14167 Qemu: i386: multiboot OOB access while loading kernel image
Summary: CVE-2017-14167 Qemu: i386: multiboot OOB access while loading kernel image
Status: CLOSED ERRATA
Alias: CVE-2017-14167
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170905,repor...
Keywords: Security
Depends On: 1489376 1501120 1501121 1501123 1501124 1501125 1501126 1501128 1501129 1501130 1501131 1502434
Blocks: 1489326 1520687
TreeView+ depends on / blocked
 
Reported: 2017-09-07 09:59 UTC by Prasad J Pandit
Modified: 2019-06-08 22:19 UTC (History)
42 users (show)

(edit)
Quick Emulator (QEMU), compiled with the PC System Emulator with multiboot feature support, is vulnerable to an OOB r/w memory access issue. The issue could occur due to an integer overflow while loading a kernel image during a guest boot. A user or process could use this flaw to potentially achieve arbitrary code execution on a host.
Clone Of:
(edit)
Last Closed: 2018-03-22 07:37:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3368 normal SHIPPED_LIVE Moderate: qemu-kvm security update 2017-12-01 01:50:55 UTC
Red Hat Product Errata RHSA-2017:3369 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-12-01 01:33:08 UTC
Red Hat Product Errata RHSA-2017:3466 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-12-15 03:11:38 UTC
Red Hat Product Errata RHSA-2017:3470 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-12-15 03:10:57 UTC
Red Hat Product Errata RHSA-2017:3471 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-12-15 03:10:12 UTC
Red Hat Product Errata RHSA-2017:3472 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2017-12-15 03:13:26 UTC
Red Hat Product Errata RHSA-2017:3473 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2017-12-15 03:15:13 UTC
Red Hat Product Errata RHSA-2017:3474 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-12-15 03:12:34 UTC

Description Prasad J Pandit 2017-09-07 09:59:51 UTC
Quick Emulator(Qemu) built with the PC System Emulator with multiboot feature
support is vulnerable to an OOB r/w memory access issue. It could occur due
to an integer overflow while loading a kernel image during a guest boot.

A user/process could use this flaw to potentially achieve arbitrary code
execution on a host.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2017-09/msg01483.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/09/07/2

Comment 1 Prasad J Pandit 2017-09-07 10:00:31 UTC
Acknowledgments:

Name: Thomas Garnier (Google.com)

Comment 2 Prasad J Pandit 2017-09-07 10:01:36 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1489376]

Comment 10 Fedora Update System 2017-11-07 22:13:19 UTC
qemu-2.9.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2017-11-30 20:33:53 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:3369 https://access.redhat.com/errata/RHSA-2017:3369

Comment 13 errata-xmlrpc 2017-11-30 20:51:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:3368 https://access.redhat.com/errata/RHSA-2017:3368

Comment 14 errata-xmlrpc 2017-12-14 22:16:05 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8.0 (Liberty)

Via RHSA-2017:3471 https://access.redhat.com/errata/RHSA-2017:3471

Comment 15 errata-xmlrpc 2017-12-14 22:18:10 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:3470 https://access.redhat.com/errata/RHSA-2017:3470

Comment 16 errata-xmlrpc 2017-12-14 22:20:15 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 11.0 (Ocata)

Via RHSA-2017:3466 https://access.redhat.com/errata/RHSA-2017:3466

Comment 17 errata-xmlrpc 2017-12-14 22:22:15 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2017:3474 https://access.redhat.com/errata/RHSA-2017:3474

Comment 18 errata-xmlrpc 2017-12-14 22:24:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2017:3472 https://access.redhat.com/errata/RHSA-2017:3472

Comment 19 errata-xmlrpc 2017-12-14 22:25:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7

Via RHSA-2017:3473 https://access.redhat.com/errata/RHSA-2017:3473


Note You need to log in before you can comment on or make changes to this bug.